net.minecraftforge.event

## Enum Event.Result

- java.lang.Object
- - java.lang.Enum<Event.Result>
  - - net.minecraftforge.event.Event.Result

- All Implemented Interfaces:
    Serializable, Comparable<Event.Result>
  Enclosing class:
    Event

      public static enum Event.Result
      extends Enum<Event.Result>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW`
    `DEFAULT`
    `DENY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Event.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DENY

          public static final Event.Result DENY

    - #### DEFAULT

          public static final Event.Result DEFAULT

    - #### ALLOW

          public static final Event.Result ALLOW

  - ### Method Detail

    - #### values

          public static Event.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Event.Result c : Event.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Event.Result valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null